# Class Jre14Compat

java.lang.Object
org.apache.catalina.tribes.util.JreCompat
org.apache.catalina.tribes.util.Jre14Compat

public class Jre14Compat extends JreCompat

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jre14Compat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setSocketoptionIpMulticastLoop(MulticastSocket socket, boolean enabled)`

  ### Methods inherited from class org.apache.catalina.tribes.util.JreCompat

  `getInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jre14Compat

    public Jre14Compat()

- ## Method Details

  - ### setSocketoptionIpMulticastLoop

    public void setSocketoptionIpMulticastLoop(MulticastSocket socket, boolean enabled) throws IOException
    Overrides:
      `setSocketoptionIpMulticastLoop` in class `JreCompat`
    Throws:
      `IOException`